Bug 451997 - Thumbnails visualisation for task switcher crops the icon of a task when taks's name is too long
Summary: Thumbnails visualisation for task switcher crops the icon of a task when taks...
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Unclassified
Component: Task Switchers (show other bugs)
Version: 5.24.3
Platform: Manjaro Linux
: NOR minor
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-28 14:35 UTC by kde
Modified: 2022-06-28 22:56 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25.3


Attachments
Icon being cropped (55.81 KB, image/png)
2022-03-28 14:35 UTC, kde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kde 2022-03-28 14:35:57 UTC
Created attachment 147791 [details]
Icon being cropped

SUMMARY
If I go to Window Manager -> Task switcher and choose Visualisation as Thumbnails(maybe, with others happen the same) and then alt-tab to a window with a long name, it crops the icon of the program.


STEPS TO REPRODUCE
1. Choose Thumbnails visualisation for task switcher
2. Open a window with a long title(for example, a browser and a long-named site)
3. Alt tab to it

OBSERVED RESULT
The title of the window pushes the icon beyond the visible part

EXPECTED RESULT
The icon is fully visible

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Manjaro KDE 5.24.3
(available in About System)
KDE Plasma Version: 5.24.3
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3

ADDITIONAL INFORMATION
I've attached a screenshot
Comment 1 Bug Janitor Service 2022-06-28 17:55:29 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/182
Comment 2 Bug Janitor Service 2022-06-28 18:21:10 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/183
Comment 3 Ismael Asensio 2022-06-28 22:53:35 UTC
Git commit 8eef3583573ae2e4bf31c5788c8c7542036c8ae0 by Ismael Asensio.
Committed on 28/06/2022 at 22:51.
Pushed by iasensio into branch 'master'.

switchers/thumbnails: Fix icon cropped when text is large enough

Use a RowLayout instead of a single Item with complex anchors
and width calculations.
FIXED-IN: 5.25.3

M  +17   -39   windowswitchers/thumbnails/contents/ui/main.qml

https://invent.kde.org/plasma/kdeplasma-addons/commit/8eef3583573ae2e4bf31c5788c8c7542036c8ae0
Comment 4 Ismael Asensio 2022-06-28 22:56:12 UTC
Git commit e58ad3af86850b21706f139b0025c6c42317cc6d by Ismael Asensio.
Committed on 28/06/2022 at 22:56.
Pushed by iasensio into branch 'Plasma/5.25'.

switchers/thumbnails: Fix icon cropped when text is large enough

Use a RowLayout instead of a single Item with complex anchors
and width calculations.
FIXED-IN: 5.25.3


(cherry picked from commit 8eef3583573ae2e4bf31c5788c8c7542036c8ae0)

M  +17   -39   windowswitchers/thumbnails/contents/ui/main.qml

https://invent.kde.org/plasma/kdeplasma-addons/commit/e58ad3af86850b21706f139b0025c6c42317cc6d